﻿namespace WarmlyLocomotove
{
/// <summary>
/// Класс-наследник от интерфейса (реализация)
/// </summary>
    internal class DrawningObjectLocomotive : IDrawningObject
    {
        /// <summary>
        /// Объект от класса отрисовки локомотива
        /// </summary>
        public DrawningLocomotive _locomotive { get; private set; }
        public DrawningObjectLocomotive(DrawningLocomotive locomotive)
        {
            _locomotive = locomotive;
        }
        public float Step => _locomotive?.Locomotive?.Step ?? 0;
        public (float Top, float Bottom, float Left, float Right) GetCurrentPosition()
        {
            return _locomotive?.GetCurrentPosition() ?? default;
        }
        public void MoveObject(Direction direction)
        {
            _locomotive?.MoveLocomotive(direction);
        }
        public void SetObject(int x, int y, int width, int height)
        {
            _locomotive.SetPosition(x, y, width, height);
        }
        public void DrawningObject(Graphics g)
        {
            _locomotive.DrawTransport(g);
        }

    }
}
