﻿namespace WarmlyLocomotove
{
    internal class DrawningRectOrnament : IDrawningAdditionalElements
    {
        private WheelsNumber wheelsNumber;

        public int WheelsNum
        {
            set
            {
                if (value < 2 || value > 4)
                {
                    wheelsNumber = (WheelsNumber)2;
                }
                else
                {
                    wheelsNumber = (WheelsNumber)value;
                }
            }
        }
        public void DrawWheels(Graphics g, float startPosX, float startPosY, Color wheelsColor)
        {
            Pen pen = new(wheelsColor);
            switch (wheelsNumber)
            {
                case WheelsNumber.Two:
                    g.DrawEllipse(pen, startPosX + 20, startPosY + 40, 20, 15);
                    g.DrawEllipse(pen, startPosX + 120, startPosY + 40, 20, 15);
                    break;
                case WheelsNumber.Three:
                    g.DrawEllipse(pen, startPosX + 20, startPosY + 40, 20, 15);
                    g.DrawEllipse(pen, startPosX + 90, startPosY + 40, 20, 15);
                    g.DrawEllipse(pen, startPosX + 120, startPosY + 40, 20, 15);
                    break;
                case WheelsNumber.Four:
                    g.DrawEllipse(pen, startPosX + 20, startPosY + 40, 20, 15);
                    g.DrawEllipse(pen, startPosX + 50, startPosY + 40, 20, 15);
                    g.DrawEllipse(pen, startPosX + 90, startPosY + 40, 20, 15);
                    g.DrawEllipse(pen, startPosX + 120, startPosY + 40, 20, 15);
                    break;
            }
        }
        public void DrawOrnament(Graphics g, float startPosX, float startPosY)
        {
            //рисуем прямоугольный орнамент
            Brush brush = new SolidBrush(Color.Blue);
            switch (wheelsNumber)
            {
                case WheelsNumber.Two:
                    g.FillRectangle(brush, startPosX + 25, startPosY + 45, 10, 7);
                    g.FillRectangle(brush, startPosX + 125, startPosY + 45, 10, 7);
                    break;
                case WheelsNumber.Three:
                    g.FillRectangle(brush, startPosX + 25, startPosY + 45, 10, 7);
                    g.FillRectangle(brush, startPosX + 95, startPosY + 45, 10, 7);
                    g.FillRectangle(brush, startPosX + 125, startPosY + 45, 10, 7);
                    break;
                case WheelsNumber.Four:
                    g.FillRectangle(brush, startPosX + 25, startPosY + 45, 10, 7);
                    g.FillRectangle(brush, startPosX + 55, startPosY + 45, 10, 7);
                    g.FillRectangle(brush, startPosX + 95, startPosY + 45, 10, 7);
                    g.FillRectangle(brush, startPosX + 125, startPosY + 45, 10, 7);
                    break;
            }
        }
    }
}
